<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class MY_Controller extends Controller {
    function MY_Controller()
    {
        parent::Controller();
        
        $this->load->helper('url');
        
        // 共通の処理をここに書く
        // ...
        
        // DBをチェックし、エラーならばインストーラに飛ばす
        if ($this->db->table_exists('system') == false)
        {
            redirect('install/index');
        }
        
        // ホテル情報をロードする。
        $this->db->where('hotelid', 1);
        $query = $this->db->get('hotel', 1);
        if ($query->num_rows() > 0)
        {
            $data['hotel'] = $query->row_array();
            $this->load->vars($data);
        }
        
        $this->load->library('phpsession');
        
        $user = $this->phpsession->get('user');
        if ($user != null)
        {
            $usertype = $this->phpsession->get('usertype');
            if ($usertype != 'admin')
            {
                $box['loginbox'][0] = '<a href="' . site_url('my/index') . '">マイページ</a>';
                $box['loginbox'][1] = '<a href="' . site_url('users/logout') . '">ログアウト</a>';
                $this->load->vars($box);
                return;
            }
        }
        
        $box['loginbox'][0] = '<a href="' . site_url('users/login') . '">ログイン</a>';
        $box['loginbox'][1] = '<a href="' . site_url('users/register') . '">ユーザ登録</a>';
        $this->load->vars($box);
    }
}
?>